compact1, compact2, compact3
java.nio.file

## Class ReadOnlyFileSystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.UnsupportedOperationException
        - - java.nio.file.ReadOnlyFileSystemException

All Implemented Interfaces:
  Serializable

    public class ReadOnlyFileSystemException
    extends UnsupportedOperationException

Unchecked exception thrown when an attempt is made to update an object associated with a `read-only` `FileSystem`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyFileSystemException()` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadOnlyFileSystemException

    public ReadOnlyFileSystemException()

Constructs an instance of this class.